# $Revision: 1.37 $, $Date: 2010/01/28 18:34:03 $
Summary:	A VNC server for the current X11 session
Summary(pl.UTF-8):	Program serwujący aktualną sesję X11 poprzez VNC
Name:		x11vnc
Version:	0.9.9
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://x11vnc.sourceforge.net/dev/%{name}-%{version}.tar.gz
# Source0-md5:	874008821a0588a73ec7fbe09b747bb0
Source1:	%{name}-x11vncd
Source2:	%{name}-x11vncd.init
Source3:	%{name}-x11vncd.sysconfig
Source4:	%{name}-x11vncd_passwd
URL:		http://www.karlrunge.com/x11vnc/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	openssl-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
x11vnc is to X Window System what WinVNC is to Windows, i.e. a server
which serves the current X Window System desktop via RFB (VNC)
protocol to the user.

Based on the ideas of x0rfbserver and on LibVNCServer, it has evolved
into a versatile and performant while still easy to use program.

%description -l pl.UTF-8
x11vnc jest dla X Window System tym, czym jest WinVNC dla Windows,
czyli programem udostępniającym aktualny ekran X Window System poprzez
protokół RFB (VNC) dla użytkownika.

Bazuje na pomyśle x0rfbserver i LibVNCServer, został stworzony jako
wszechstronny i wydajny, ale także łatwy w użyciu.

%package init
Summary:	Init scripts for VNC server
Summary(pl.UTF-8):	Skrytpy startowe dla servera VNC.
Group:		X11/Applications/Networking
Requires:	x11vnc

%description init
Init scripts for VNC server.

%description init -l pl.UTF-8
Skrytpy startowe dla servera VNC.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

cp %{SOURCE1} $RPM_BUILD_ROOT%{_sbindir}/x11vncd
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/x11vncd
cp %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/x11vncd
cp %{SOURCE4} $RPM_BUILD_ROOT/etc/x11vncd_passwd

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add x11vncd
%service x11vncd restart "VNC Server"

%preun init
if [ "$1" = "0" ]; then
	%service x11vncd stop
	/sbin/chkconfig --del x11vncd
fi

%files
%defattr(644,root,root,755)
%doc README NEWS TODO ChangeLog AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/%{name}.1*

%files init
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/x11vncd
%attr(754,root,root) /etc/rc.d/init.d/x11vncd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/x11vncd
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/x11vncd_passwd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: x11vnc.spec,v $
Revision 1.37  2010/01/28 18:34:03  amateja
- release 2

Revision 1.36  2010/01/11 00:01:20  sparky
- dropped BR: xorg-lib-libXTrap-devel

Revision 1.35  2010/01/03 21:48:01  adamg
- updated to 0.9.9

Revision 1.34  2010/01/03 21:44:41  adamg
- adapterized

Revision 1.33  2009/07/12 13:31:01  arekm
- release 2

Revision 1.32  2009/05/29 21:37:17  amateja
- updated to 0.9.8

Revision 1.31  2009/02/11 09:28:59  duddits
- up to 0.9.7
- more %files

Revision 1.30  2008/12/27 13:24:21  adamg
- updated to 0.9.6

Revision 1.29  2008-01-22 09:22:54  pascalek
- init scripts

Revision 1.28  2007-08-25 02:18:28  undefine
- up to 0.9.3

Revision 1.27  2007/06/18 17:00:42  rotom
- up to 0.9.2

Revision 1.26  2007/04/22 20:23:22  rotom
- up to 0.9.1

Revision 1.25  2007/02/21 21:02:00  rotom
- up to 0.8.5

Revision 1.24  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.22  2007/01/14 17:10:17  qboosh
- real modular xorg deps
- BR: openssl-devel, ac, am

Revision 1.21  2007/01/09 09:39:35  rotom
- up to 0.8.4
- ready to build in th

Revision 1.20  2006/09/02 17:29:58  rotom
- up to 0.8.3

Revision 1.19  2006/08/08 12:04:22  adamg
- typo (czym czym)

Revision 1.18  2006/08/07 21:12:07  adamg
- CVE entries added

Revision 1.17  2006/07/06 19:28:17  rotom
- up to 0.8.2

Revision 1.16  2006/06/07 00:39:27  charles
- rel. 2 (new tarball)

Revision 1.15  2006/03/01 16:07:47  rotom
- up to 0.8.1 (CVE-2006-2450)

Revision 1.14  2006/02/14 14:16:57  charles
- latest 0.8
- rel. 2

Revision 1.13  2006/01/17 09:05:58  hawk
- updated md5

Revision 1.12  2006/01/17 08:48:44  hawk
- updated to 0.8

Revision 1.11  2005/10/21 08:21:43  arekm
- up to 0.7.3

Revision 1.10  2005/07/14 03:57:28  aredridel
- up to 0.7.2

Revision 1.9  2005/02/24 17:49:57  wolf
- 0.7.1

Revision 1.8  2004/12/24 09:32:27  adamg
- updated to 0.7

Revision 1.7  2004/10/30 09:55:37  paladine
- pl fix

Revision 1.6  2004/08/02 18:56:34  undefine
- update to 0.6.2

Revision 1.5  2004/07/30 15:47:39  wolf
- rel 2

Revision 1.4  2004/07/29 15:15:29  jpc
- added URL

Revision 1.3  2004/06/29 20:20:48  undefine
- md5

Revision 1.2  2004/06/23 21:41:47  qboosh
- X name spelling, cosmetics

Revision 1.1  2004/06/23 18:29:32  undefine
- initital version
